package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Objects;

public class RelatorioComissaoSinteticoBean {
	private String pontoVenda;
	private Integer pontoVendaID;
	private Integer empresaID;
	private BigDecimal totalTarifa;
	private BigDecimal comissaoTarifa;
	private BigDecimal totalImpPosterior;
	private BigDecimal comissaoImpPosterior;
	private BigDecimal totalVendaImpPosterior;
	private BigDecimal comissaoVendaImpPosterior;
	private BigDecimal totalExcBagagem;
	private BigDecimal comissaoExcBagagem;
	private BigDecimal totalOutros;
	private BigDecimal comissaoOutros;
	private BigDecimal totalPagado;
	private BigDecimal comissaoTotal;
	private BigDecimal totalSeguro;
	private BigDecimal totalPedagio;
	private BigDecimal totalTaxaEmb;
	private BigDecimal comissaoSeguro;

	public Integer getPontoVendaID() {
		return pontoVendaID;
	}

	public void setPontoVendaID(Integer pontoVendaID) {
		this.pontoVendaID = pontoVendaID;
	}

	public Integer getEmpresaID() {
		return empresaID;
	}

	public void setEmpresaID(Integer empresaID) {
		this.empresaID = empresaID;
	}

	public String getPontoVenda() {
		return pontoVenda;
	}

	public void setPontoVenda(String pontoVenda) {
		this.pontoVenda = pontoVenda;
	}

	public BigDecimal getTotalSeguro() {
		return totalSeguro;
	}

	public void setTotalSeguro(BigDecimal totalSeguro) {
		this.totalSeguro = totalSeguro;
	}

	public BigDecimal getTotalTaxaEmb() {
		return totalTaxaEmb;
	}

	public void setTotalTaxaEmb(BigDecimal totalTaxaEmb) {
		this.totalTaxaEmb = totalTaxaEmb;
	}

	public BigDecimal getTotalPegadio() {
		return totalPedagio;
	}

	public void setTotalPegadio(BigDecimal totalPegadio) {
		this.totalPedagio = totalPegadio;
	}

	public BigDecimal getTotalTarifa() {
		return totalTarifa;
	}

	public void setTotalTarifa(BigDecimal totalTarifa) {
		this.totalTarifa = totalTarifa;
	}

	public BigDecimal getComissaoTarifa() {
		return comissaoTarifa;
	}

	public void setComissaoTarifa(BigDecimal comissaoTarifa) {
		this.comissaoTarifa = comissaoTarifa;
	}

	public BigDecimal getTotalImpPosterior() {
		return totalImpPosterior;
	}

	public void setTotalImpPosterior(BigDecimal totalImpPosterior) {
		this.totalImpPosterior = totalImpPosterior;
	}

	public BigDecimal getComissaoImpPosterior() {
		return comissaoImpPosterior;
	}

	public BigDecimal getTotalVendaImpPosterior() {
		return totalVendaImpPosterior;
	}

	public void setTotalVendaImpPosterior(BigDecimal totalVendaImpPosterior) {
		this.totalVendaImpPosterior = totalVendaImpPosterior;
	}

	public BigDecimal getComissaoVendaImpPosterior() {
		return comissaoVendaImpPosterior;
	}

	public void setComissaoVendaImpPosterior(BigDecimal comissaoVendaImpPosterior) {
		this.comissaoVendaImpPosterior = comissaoVendaImpPosterior;
	}

	public void setComissaoImpPosterior(BigDecimal comissaoImpPosterior) {
		this.comissaoImpPosterior = comissaoImpPosterior;
	}

	public BigDecimal getTotalExcBagagem() {
		return totalExcBagagem;
	}

	public void setTotalExcBagagem(BigDecimal totalExcBagagem) {
		this.totalExcBagagem = totalExcBagagem;
	}

	public BigDecimal getComissaoExcBagagem() {
		return comissaoExcBagagem;
	}

	public void setComissaoExcBagagem(BigDecimal comissaoExcBagagem) {
		this.comissaoExcBagagem = comissaoExcBagagem;
	}

	public BigDecimal getTotalOutros() {
		return totalOutros;
	}

	public void setTotalOutros(BigDecimal totalOutros) {
		this.totalOutros = totalOutros;
	}

	public BigDecimal getComissaoOutros() {
		return comissaoOutros;
	}

	public void setComissaoOutros(BigDecimal comissaoOutros) {
		this.comissaoOutros = comissaoOutros;
	}

	public BigDecimal getTotalPagado() {
		return totalPagado;
	}

	public void setTotalPagado(BigDecimal totalPagado) {
		this.totalPagado = totalPagado;
	}

	public BigDecimal getComissaoTotal() {
		return comissaoTotal;
	}

	public void setComissaoTotal(BigDecimal comissaoTotal) {
		this.comissaoTotal = comissaoTotal;
	}

	public BigDecimal getComissaoSeguro() {
		return comissaoSeguro;
	}

	public void setComissaoSeguro(BigDecimal comissaoSeguro) {
		this.comissaoSeguro = comissaoSeguro;
	}

	@Override
	public int hashCode() {
		return Objects.hash(empresaID, pontoVendaID);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RelatorioComissaoSinteticoBean other = (RelatorioComissaoSinteticoBean) obj;
		return Objects.equals(empresaID, other.empresaID) && Objects.equals(pontoVendaID, other.pontoVendaID);
	}

}
